Linux Çekirdeği Ayrıcalık Yükseltme Hatası için Yama Çıktı

Linux çekirdeği geliştirme ekibi, bir saldırganın yüksek ayrıcalıklarla kod çalıştırmasına izin verebilecek bir güvenlik hatasını düzeltmek için bir yama paketi yayınladı.

Sorun (CVE-2017-15265 olarak takip edilebilir) ses kartı sürücüleri için bir API sağlayan Linux çekirdeğinde bulunan bir yazılım çerçevesi olan ALSA’yı (Gelişmiş Linux Ses Mimarisi) etkileyen ‘use-after-free’ olarak adlandırılan bir bellek bozulması sorunudur.

Venustech ADLab (Active-Defense Lab) araştırmacıları hatayı keşfettiler ve ALSA ekibi ile paylaştılar. Daha sonra ALSA geliştiricileri, hata ve yama ekini ayrıntılıyla açıklayan bir postayı e-posta listesine anlattılar.

Herkesin anlayacağı bir şekilde anlatmak gerekirse, ALSA çekirdek kodu hatası, bir saldırganın bir fonksiyonu çağırmasına, çıktısını silmesine, ancak yine de başka bir fonksiyondaki çıktıyı kullanmasına izin verdiğinde gerçekleşir.

Yerel erişim gerekiyor, Fakat root erişimi sağlıyor

Bu konuda hem iyi haberler ve kötü haberler var. İyi haber şu ki, saldırganın savunmasız bir makinede fiziksel erişime ihtiyacı olması veya bir makineye kötü amaçlı yazılım bulaştırması gerekiyor. Kötü haber ise, saldırganın sınırlı erişime sahip herhangi bir kullanıcı hesabından erişim sağlayarak ALSA çekirdek kodu hatasını kullanarak bu hesabı root ayrıcalıklarına yükseltmesidir.

Linux çekirdek ekibi, sorunu v4.13.4-2’de düzeltti. Yama eki şu anda Red Hat, Debian, Ubuntu, ve Suse gibi diğer Linux dağıtımlarının depolarına girdi. Güncellemelerinizi kontrol ederek kernel yamasını uygulayınız.